package com.cpp.web.service.overhaulplan;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.BaseForecastCloudEntity;
import com.cpp.web.domain.BaseForecastEntity;
import com.cpp.web.domain.overhaulplan.OverhaulPlan;

import java.util.Date;
import java.util.List;

/**
 * cpp_overhaul_plan
 *
 * @author fxy
 * @date 2024-10-08 9:47:33
 */
public interface OverhaulPlanService extends IService<OverhaulPlan> {

    QueryWrapper<OverhaulPlan> getList();

    QueryWrapper<OverhaulPlan> getByStationCode(String stationCode,Integer status);

    List<OverhaulPlan> findByStationCode(String stationCode);

    List<OverhaulPlan> findByStationCodeAndTimeBetween(Date startTime,Date endTime,String stationCode);

    List getCorrectionData(List<BaseForecastCloudEntity> list, String fileType, String fileName, String stationCode);

    void save(String stationCode,List<OverhaulPlan> overhaulPlanList);

    List<OverhaulPlan> findById(Long id);


    List<OverhaulPlan> findByAllId(List<Long> id);

}
